:host,
:root {
  --bg-base: #111827;
  --bg-card: #1f2937;
  --bg-btn: #374151;
  --text-main: #f3f4f6;
  --text-muted: #9ca3af;

  --brand: #8e67fb;
  --brand-hover: color-mix(in srgb, var(--brand), white 10%);
  --border: rgba(255, 255, 255, 0.05);

  --space-sm: 15px;
  --space-md: 40px;
  --control-height: 40px;
  --radius: 8px;
  --radius-lg: 16px;
}

* {
  box-sizing: border-box;
}

body {
  font-family: system-ui, sans-serif;
  background-color: var(--bg-base);
  color: var(--text-main);
  margin: 0;
  padding: 20px 24px 60px;
  line-height: 1.5;
}

header {
  text-align: center;
}

.nav-back {
  display: inline-block;
  color: var(--text-main);
  opacity: 0.3;
  text-decoration: none;
  font-size: 15px;
  line-height: 1;
  margin: 0;
}

.nav-back:hover {
  opacity: 1;
  color: var(--text-main);
}

h1 {
  text-align: center;
  font-weight: 300;
  flex: 1;
  margin: 1em 0 1em;
}

.container {
  max-width: 480px;
  margin: 0 auto;
}

.box {
  background-color: var(--bg-card);
  border-radius: var(--radius-lg);
  padding: 32px;
  border: 1px solid var(--border);
  box-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.3);
  margin: 0 auto;
}

:where(input, button) {
  font: inherit;
  height: var(--control-height);
  border-radius: var(--radius);
  border: 1px solid var(--border);
  outline: none;
}

input {
  background: #374151;
  color: white;
  padding: 0 12px;
  width: 100%;
}

input:focus {
  border-color: var(--brand);
}

button {
  background: var(--bg-btn);
  color: white;
  padding: 0 16px;
  cursor: pointer;
  transition: all 0.2s;
}

button:hover {
  background: #4b5563;
}

button.primary {
  background: var(--brand);
  color: white;
  font-weight: 600;
}

button.primary:hover {
  background: var(--brand-hover);
}

button:disabled {
  filter: saturate(0.5);
  opacity: 0.4;
  cursor: not-allowed;
}

input[type="checkbox"] {
  appearance: none;
  width: 20px;
  height: 20px;
  padding: 0;
  margin: 0;

  background-color: var(--bg-base);
  border: 1px solid var(--text-muted);
  border-radius: 4px;
  cursor: pointer;

  display: inline-grid;
  place-content: center;
  transition: all 0.2s ease;
}

input[type="checkbox"]:hover,
input[type="checkbox"]:focus {
  border-color: var(--brand);
}

input[type="checkbox"]:checked {
  background-color: var(--brand);
  border-color: var(--brand);
}
input[type="checkbox"]::before {
  content: "";
  width: 14px;
  height: 14px;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='white' stroke-width='3' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='20 6 9 17 4 12'%3E%3C/polyline%3E%3C/svg%3E");
  background-size: 85% 85%;
  background-position: center;
  background-repeat: no-repeat;
  transform: scale(0);
  transition: transform 100ms cubic-bezier(0.4, 0, 0.2, 1);
}

input[type="checkbox"]:checked::before {
  transform: scale(1);
}
